Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Config
  • Exporter
  • Storable
  • constant

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: v0.0.8,v0.4.2

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: File::Rsync::Mirror::Recent, File::Rsync::Mirror::Recentfile, File::Rsync::Mirror::Recentfile::Done, File::Rsync::Mirror::Recentfile::FakeBigFloat

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Data::Dumper
  • Digest::MD5
  • Dumpvalue
  • Getopt::Long
  • Storable
  • lib

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
File::Rsync::Mirror::Recent mirroring via rsync made efficient v0.4.2 metacpan
File::Rsync::Mirror::Recentfile mirroring via rsync made efficient v0.0.8 metacpan
File::Rsync::Mirror::Recentfile::Done intervals of already rsynced timespans v0.0.8 metacpan
File::Rsync::Mirror::Recentfile::FakeBigFloat pseudo bigfloat support v0.0.8 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan